Subject: Re: linux-next: build failure after merge of Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 9 Aug 2016 07:53:15 +1000

Hi Doug,

On Mon, 8 Aug 2016 11:37:33 -0400 Doug Ledford <[email-masked]> wrote:
>
> On 8/7/2016 9:58 PM, Stephen Rothwell wrote:
> > 
> > With Linus' tree, today's linux-next build (powerpc allyesconfig) failed
> > like this:
> > 
> > drivers/infiniband/sw/built-in.o:(.opd+0x1698): multiple definition of `copy_data'
> > drivers/infiniband/hw/built-in.o:(.opd+0xe5f8): first defined here
> > drivers/infiniband/sw/built-in.o:(.opd+0x1320): multiple definition of `rxe_av_from_attr'
> > drivers/infiniband/hw/built-in.o:(.opd+0xe280): first defined here  
> 
> This looks very suspicious.  I think you are picking up two copies of
> the rxe code.  One from Linus tree and one from probably Leon's tree.

Actually the second copy is from your tree
(git://git.kernel.org/pub/scm/linux/kernel/git/dledford/rdma.git#for-next),
Leon's trees are empty (relative to Linus' tree).  I guess when you
rebased and squashed things, you forgot to reset your for-next tag, so
I got the old version of your tree as well as the rebased version via
Linus' tree.

-- 
Cheers,
Stephen Rothwell